# Criteo API SDK for Python

## Introduction
API Client Libraries can facilitate your use of the Criteo API allowing you to build unique and customized solutions to serve your businesses and clients.
These libraries can reduce the amount of code you need to write in order to start accessing Criteo programmatically. They also can help expedite troubleshooting, should you encounter any issues.

More information on how to use Criteo API and these SDKs can be found at: [https://developers.criteo.com/](https://developers.criteo.com/).

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- Package version: 2024.07.0.250205

## Requirements

Python 2.7 and 3.5+

## Installation & Usage
### pip install

```sh
pip install criteo-api-retailmedia-sdk==2024.07.0.250205
```
(you may need to run `pip` with root permission: `sudo pip install criteo-api-retailmedia-sdk==2024.07.0.250205`)

Then import the package:
```python
import criteo_api_retailmedia_v2024_07
```

### Manual Installation using [Setuptools](http://pypi.python.org/pypi/setuptools)

Download the code or clone the repository locally, then execute the following command:

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import criteo_api_retailmedia_v2024_07
```

## Example
There are multiple examples for the different OAuth flows that the SDK supports.
- See [test/example_application_with_client_credentials.py](test/example_application_with_client_credentials.py) for an example with Client Credentials.
- See [test/example_application_with_auth_code.py](test/example_application_with_auth_code.py) for an example with Authorization Code.
Once you follow the authorization code flow, you will have a refresh token that has to be used to regenerate access token for future usage. 
    - See [test/example_application_with_refresh_token.py](test/example_application_with_refresh_token.py) for an example with Refresh Token .

## Documentation for API Endpoints

The developers documentation is available at: *https://developers.criteo.com*.

All URIs are relative to *https://api.criteo.com*.

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------


## Documentation For Models

 - [AddFundsToBalanceV2](docs/AddFundsToBalanceV2.md)
 - [AddFundsToBalanceV2Request](docs/AddFundsToBalanceV2Request.md)
 - [AddRemoveKeywordModel](docs/AddRemoveKeywordModel.md)
 - [AddRemoveKeywordsModel](docs/AddRemoveKeywordsModel.md)
 - [AddRemoveKeywordsModelRequest](docs/AddRemoveKeywordsModelRequest.md)
 - [AddRemoveKeywordsModelResource](docs/AddRemoveKeywordsModelResource.md)
 - [AddToBasketIdsUpdateModel202110Request](docs/AddToBasketIdsUpdateModel202110Request.md)
 - [AddToBasketTarget202110Request](docs/AddToBasketTarget202110Request.md)
 - [AddToBasketTarget202110Response](docs/AddToBasketTarget202110Response.md)
 - [ApplicationSummaryModel](docs/ApplicationSummaryModel.md)
 - [ApplicationSummaryModelResource](docs/ApplicationSummaryModelResource.md)
 - [ApplicationSummaryModelResponse](docs/ApplicationSummaryModelResponse.md)
 - [Asset](docs/Asset.md)
 - [AssetResource](docs/AssetResource.md)
 - [AssetResponse](docs/AssetResponse.md)
 - [AsyncCampaignsReport](docs/AsyncCampaignsReport.md)
 - [AsyncCampaignsReportRequest](docs/AsyncCampaignsReportRequest.md)
 - [AsyncCampaignsReportResource](docs/AsyncCampaignsReportResource.md)
 - [AsyncLineItemsReport](docs/AsyncLineItemsReport.md)
 - [AsyncLineItemsReportRequest](docs/AsyncLineItemsReportRequest.md)
 - [AsyncLineItemsReportResource](docs/AsyncLineItemsReportResource.md)
 - [AsyncReportResponse](docs/AsyncReportResponse.md)
 - [AsyncRevenueReport](docs/AsyncRevenueReport.md)
 - [AsyncRevenueReportRequest](docs/AsyncRevenueReportRequest.md)
 - [AsyncRevenueReportResource](docs/AsyncRevenueReportResource.md)
 - [AuctionLineItemCreateModelRequest](docs/AuctionLineItemCreateModelRequest.md)
 - [AuctionLineItemPagedListResponse](docs/AuctionLineItemPagedListResponse.md)
 - [AuctionLineItemResponse](docs/AuctionLineItemResponse.md)
 - [AuctionLineItemUpdateModelRequest](docs/AuctionLineItemUpdateModelRequest.md)
 - [AudienceIdsUpdateModel202110Request](docs/AudienceIdsUpdateModel202110Request.md)
 - [AudienceTarget202110Request](docs/AudienceTarget202110Request.md)
 - [AudienceTarget202110Response](docs/AudienceTarget202110Response.md)
 - [BalanceCampaign202110ListRequest](docs/BalanceCampaign202110ListRequest.md)
 - [BalanceCampaign202110PagedListResponse](docs/BalanceCampaign202110PagedListResponse.md)
 - [BalanceHistoryChangeDataCaptureV1](docs/BalanceHistoryChangeDataCaptureV1.md)
 - [BalanceResponseV2](docs/BalanceResponseV2.md)
 - [BalanceResponseV2Response](docs/BalanceResponseV2Response.md)
 - [CampaignAttributesV202301](docs/CampaignAttributesV202301.md)
 - [CampaignBudgetOverrides](docs/CampaignBudgetOverrides.md)
 - [CampaignDailyBudgetOverride](docs/CampaignDailyBudgetOverride.md)
 - [CampaignMonthlyBudgetOverride](docs/CampaignMonthlyBudgetOverride.md)
 - [CampaignV202301](docs/CampaignV202301.md)
 - [Category202204](docs/Category202204.md)
 - [Category202204ListResponse](docs/Category202204ListResponse.md)
 - [ChangeDatesOfBalanceV2](docs/ChangeDatesOfBalanceV2.md)
 - [ChangeDatesOfBalanceV2Request](docs/ChangeDatesOfBalanceV2Request.md)
 - [ChangeDetailsV1](docs/ChangeDetailsV1.md)
 - [ChoiceOption](docs/ChoiceOption.md)
 - [ChoiceVariableSpecification](docs/ChoiceVariableSpecification.md)
 - [ChoiceVariableValue](docs/ChoiceVariableValue.md)
 - [ColorVariableValue](docs/ColorVariableValue.md)
 - [CommonError](docs/CommonError.md)
 - [CommonLineItemPagedListResponse](docs/CommonLineItemPagedListResponse.md)
 - [CommonLineItemResponse](docs/CommonLineItemResponse.md)
 - [CommonProblem](docs/CommonProblem.md)
 - [CommonWarning](docs/CommonWarning.md)
 - [CreateBalanceV2](docs/CreateBalanceV2.md)
 - [CreateBalanceV2Request](docs/CreateBalanceV2Request.md)
 - [Creative202110](docs/Creative202110.md)
 - [Creative202110ListResponse](docs/Creative202110ListResponse.md)
 - [Creative202210](docs/Creative202210.md)
 - [Creative202210ListResponse](docs/Creative202210ListResponse.md)
 - [Creative202210Response](docs/Creative202210Response.md)
 - [CreativeCreateModel202207](docs/CreativeCreateModel202207.md)
 - [CreativeUpdateModel202207](docs/CreativeUpdateModel202207.md)
 - [DailyLineItemBudgetOverride](docs/DailyLineItemBudgetOverride.md)
 - [EditableCampaignAttributesV202301](docs/EditableCampaignAttributesV202301.md)
 - [EntityResourceOfRetailMediaAccount](docs/EntityResourceOfRetailMediaAccount.md)
 - [EntityResourceOutcomeOfRetailMediaAccount](docs/EntityResourceOutcomeOfRetailMediaAccount.md)
 - [ExternalAccount](docs/ExternalAccount.md)
 - [ExternalAddToBasketIdsUpdateModel202110](docs/ExternalAddToBasketIdsUpdateModel202110.md)
 - [ExternalAddToBasketTarget202110](docs/ExternalAddToBasketTarget202110.md)
 - [ExternalAuctionLineItem](docs/ExternalAuctionLineItem.md)
 - [ExternalAuctionLineItemCreateModel](docs/ExternalAuctionLineItemCreateModel.md)
 - [ExternalAuctionLineItemUpdateModel](docs/ExternalAuctionLineItemUpdateModel.md)
 - [ExternalAudienceIdsUpdateModel202110](docs/ExternalAudienceIdsUpdateModel202110.md)
 - [ExternalAudienceTarget202110](docs/ExternalAudienceTarget202110.md)
 - [ExternalBrand](docs/ExternalBrand.md)
 - [ExternalCatalogRequest](docs/ExternalCatalogRequest.md)
 - [ExternalCatalogStatus](docs/ExternalCatalogStatus.md)
 - [ExternalCommonLineItem](docs/ExternalCommonLineItem.md)
 - [ExternalKeywordTarget202110](docs/ExternalKeywordTarget202110.md)
 - [ExternalLineItemCapping202110](docs/ExternalLineItemCapping202110.md)
 - [ExternalLineItemPage202110](docs/ExternalLineItemPage202110.md)
 - [ExternalLineItemPageCategory202110](docs/ExternalLineItemPageCategory202110.md)
 - [ExternalPreferredLineItem202110](docs/ExternalPreferredLineItem202110.md)
 - [ExternalPreferredLineItemCreateModel202110](docs/ExternalPreferredLineItemCreateModel202110.md)
 - [ExternalPreferredLineItemUpdateModel202110](docs/ExternalPreferredLineItemUpdateModel202110.md)
 - [ExternalRetailMediaAccount](docs/ExternalRetailMediaAccount.md)
 - [ExternalRetailMediaBrandAccountCreation](docs/ExternalRetailMediaBrandAccountCreation.md)
 - [ExternalRetailMediaBrands](docs/ExternalRetailMediaBrands.md)
 - [ExternalRetailMediaSeller](docs/ExternalRetailMediaSeller.md)
 - [ExternalRetailMediaSellerAccountCreation](docs/ExternalRetailMediaSellerAccountCreation.md)
 - [ExternalRetailer](docs/ExternalRetailer.md)
 - [ExternalRetailerPages202110](docs/ExternalRetailerPages202110.md)
 - [ExternalStoreIdsUpdateModel202110](docs/ExternalStoreIdsUpdateModel202110.md)
 - [ExternalStoreTarget202110](docs/ExternalStoreTarget202110.md)
 - [FilesVariableValue](docs/FilesVariableValue.md)
 - [FilesVariablesSpecification](docs/FilesVariablesSpecification.md)
 - [HyperlinkVariableValue](docs/HyperlinkVariableValue.md)
 - [InputKeywordsModel](docs/InputKeywordsModel.md)
 - [InputResourceOfAuctionLineItemCreateModel](docs/InputResourceOfAuctionLineItemCreateModel.md)
 - [InputResourceOfPreferredLineItemCreateModel202110](docs/InputResourceOfPreferredLineItemCreateModel202110.md)
 - [JsonApiBodyWithExternalIdOfEditableCampaignAttributesV202301AndCampaignV202301](docs/JsonApiBodyWithExternalIdOfEditableCampaignAttributesV202301AndCampaignV202301.md)
 - [JsonApiBodyWithIdOfInt64AndAccountAndAccount](docs/JsonApiBodyWithIdOfInt64AndAccountAndAccount.md)
 - [JsonApiBodyWithIdOfInt64AndBrandAndBrand](docs/JsonApiBodyWithIdOfInt64AndBrandAndBrand.md)
 - [JsonApiBodyWithIdOfInt64AndCampaignV202301AndCampaignV202301](docs/JsonApiBodyWithIdOfInt64AndCampaignV202301AndCampaignV202301.md)
 - [JsonApiBodyWithIdOfInt64AndCatalogStatusAndCatalogStatus](docs/JsonApiBodyWithIdOfInt64AndCatalogStatusAndCatalogStatus.md)
 - [JsonApiBodyWithIdOfInt64AndLineItemBidMultipliersAndLineItemBidMultipliers](docs/JsonApiBodyWithIdOfInt64AndLineItemBidMultipliersAndLineItemBidMultipliers.md)
 - [JsonApiBodyWithIdOfInt64AndRetailerAndRetailer](docs/JsonApiBodyWithIdOfInt64AndRetailerAndRetailer.md)
 - [JsonApiBodyWithoutIdOfCampaignAttributesV202301AndCampaignV202301](docs/JsonApiBodyWithoutIdOfCampaignAttributesV202301AndCampaignV202301.md)
 - [JsonApiBodyWithoutIdOfCatalogRequestAndCatalogRequest](docs/JsonApiBodyWithoutIdOfCatalogRequestAndCatalogRequest.md)
 - [JsonApiPageResponseOfAccount](docs/JsonApiPageResponseOfAccount.md)
 - [JsonApiPageResponseOfBrand](docs/JsonApiPageResponseOfBrand.md)
 - [JsonApiPageResponseOfCampaignV202301](docs/JsonApiPageResponseOfCampaignV202301.md)
 - [JsonApiPageResponseOfRetailer](docs/JsonApiPageResponseOfRetailer.md)
 - [JsonApiRequestOfCatalogRequest](docs/JsonApiRequestOfCatalogRequest.md)
 - [JsonApiSingleResponseOfCampaignV202301](docs/JsonApiSingleResponseOfCampaignV202301.md)
 - [JsonApiSingleResponseOfCatalogStatus](docs/JsonApiSingleResponseOfCatalogStatus.md)
 - [JsonApiSingleResponseOfLineItemBidMultipliers](docs/JsonApiSingleResponseOfLineItemBidMultipliers.md)
 - [KeywordDataModel](docs/KeywordDataModel.md)
 - [KeywordTarget202110Request](docs/KeywordTarget202110Request.md)
 - [KeywordTarget202110Response](docs/KeywordTarget202110Response.md)
 - [KeywordsModel](docs/KeywordsModel.md)
 - [KeywordsModelResource](docs/KeywordsModelResource.md)
 - [KeywordsModelResponse](docs/KeywordsModelResponse.md)
 - [LineItemBidMultipliers](docs/LineItemBidMultipliers.md)
 - [LineItemBidMultipliersRequest](docs/LineItemBidMultipliersRequest.md)
 - [LineItemBidMultipliersResponse](docs/LineItemBidMultipliersResponse.md)
 - [LineItemBudgetOverrides](docs/LineItemBudgetOverrides.md)
 - [LineItemProductStatus](docs/LineItemProductStatus.md)
 - [MatchTypeModel](docs/MatchTypeModel.md)
 - [Metadata](docs/Metadata.md)
 - [MonthlyLineItemBudegetOverride](docs/MonthlyLineItemBudegetOverride.md)
 - [PageMetadata](docs/PageMetadata.md)
 - [PageOfBalanceHistoryChangeDataCaptureV1](docs/PageOfBalanceHistoryChangeDataCaptureV1.md)
 - [PageTypeEnvironment202210](docs/PageTypeEnvironment202210.md)
 - [PagedResourceCollectionOutcomeOfBalanceResponseV2](docs/PagedResourceCollectionOutcomeOfBalanceResponseV2.md)
 - [PostCampaignV202301](docs/PostCampaignV202301.md)
 - [PreferredLineItem202110PagedListResponse](docs/PreferredLineItem202110PagedListResponse.md)
 - [PreferredLineItem202110Response](docs/PreferredLineItem202110Response.md)
 - [PreferredLineItemCreateModel202110Request](docs/PreferredLineItemCreateModel202110Request.md)
 - [PreferredLineItemUpdateModel202110Request](docs/PreferredLineItemUpdateModel202110Request.md)
 - [ProblemDetails](docs/ProblemDetails.md)
 - [ProductMetadata](docs/ProductMetadata.md)
 - [ProductResourceOutcome](docs/ProductResourceOutcome.md)
 - [PromotedProduct](docs/PromotedProduct.md)
 - [PromotedProductResource](docs/PromotedProductResource.md)
 - [PromotedProductResourceCollectionInput](docs/PromotedProductResourceCollectionInput.md)
 - [PromotedProductResourceCollectionOutcome](docs/PromotedProductResourceCollectionOutcome.md)
 - [PutCampaignV202301](docs/PutCampaignV202301.md)
 - [ReportOutcome](docs/ReportOutcome.md)
 - [ResourceOfAddFundsToBalanceV2](docs/ResourceOfAddFundsToBalanceV2.md)
 - [ResourceOfAuctionLineItem](docs/ResourceOfAuctionLineItem.md)
 - [ResourceOfAuctionLineItemUpdateModel](docs/ResourceOfAuctionLineItemUpdateModel.md)
 - [ResourceOfBalanceCampaign202110](docs/ResourceOfBalanceCampaign202110.md)
 - [ResourceOfBalanceResponseV2](docs/ResourceOfBalanceResponseV2.md)
 - [ResourceOfCategory202204](docs/ResourceOfCategory202204.md)
 - [ResourceOfChangeDatesOfBalanceV2](docs/ResourceOfChangeDatesOfBalanceV2.md)
 - [ResourceOfCommonLineItem](docs/ResourceOfCommonLineItem.md)
 - [ResourceOfCreateBalanceV2](docs/ResourceOfCreateBalanceV2.md)
 - [ResourceOfCreative202110](docs/ResourceOfCreative202110.md)
 - [ResourceOfCreative202210](docs/ResourceOfCreative202210.md)
 - [ResourceOfLineItemBidMultipliers](docs/ResourceOfLineItemBidMultipliers.md)
 - [ResourceOfPreferredLineItem202110](docs/ResourceOfPreferredLineItem202110.md)
 - [ResourceOfPreferredLineItemUpdateModel202110](docs/ResourceOfPreferredLineItemUpdateModel202110.md)
 - [ResourceOfTemplate](docs/ResourceOfTemplate.md)
 - [ResourceOfUpdateBalanceModelV2](docs/ResourceOfUpdateBalanceModelV2.md)
 - [ResourceOutcome](docs/ResourceOutcome.md)
 - [ReviewStateModel](docs/ReviewStateModel.md)
 - [RmLegacyAudienceCreateEntityV1](docs/RmLegacyAudienceCreateEntityV1.md)
 - [RmLegacyAudienceCreateEntityV1Resource](docs/RmLegacyAudienceCreateEntityV1Resource.md)
 - [RmLegacyAudienceCreateEntityV1Response](docs/RmLegacyAudienceCreateEntityV1Response.md)
 - [RmLegacyAudienceCreateEntityV2](docs/RmLegacyAudienceCreateEntityV2.md)
 - [RmLegacyAudienceCreateEntityV2Resource](docs/RmLegacyAudienceCreateEntityV2Resource.md)
 - [RmLegacyAudienceCreateEntityV2Response](docs/RmLegacyAudienceCreateEntityV2Response.md)
 - [RmLegacyAudienceCreateInputEntityV1](docs/RmLegacyAudienceCreateInputEntityV1.md)
 - [RmLegacyAudienceCreateInputEntityV2](docs/RmLegacyAudienceCreateInputEntityV2.md)
 - [RmLegacyAudienceGetEntityV1](docs/RmLegacyAudienceGetEntityV1.md)
 - [RmLegacyAudienceGetEntityV1ListResponse](docs/RmLegacyAudienceGetEntityV1ListResponse.md)
 - [RmLegacyAudienceGetEntityV1Resource](docs/RmLegacyAudienceGetEntityV1Resource.md)
 - [RmLegacyAudienceGetEntityV2](docs/RmLegacyAudienceGetEntityV2.md)
 - [RmLegacyAudienceGetEntityV2ListResponse](docs/RmLegacyAudienceGetEntityV2ListResponse.md)
 - [RmLegacyAudienceGetEntityV2Resource](docs/RmLegacyAudienceGetEntityV2Resource.md)
 - [RmLegacyAudienceUserBehaviorCreateV2](docs/RmLegacyAudienceUserBehaviorCreateV2.md)
 - [RmLegacyAudienceUserBehaviorDetailsV2](docs/RmLegacyAudienceUserBehaviorDetailsV2.md)
 - [RmLegacySegmentCustomerList](docs/RmLegacySegmentCustomerList.md)
 - [RmLegacySegmentUserBehaviorCreateV2](docs/RmLegacySegmentUserBehaviorCreateV2.md)
 - [RmLegacySegmentUserBehaviorV1](docs/RmLegacySegmentUserBehaviorV1.md)
 - [RmLegacySegmentUserBehaviorV2](docs/RmLegacySegmentUserBehaviorV2.md)
 - [RmcaCommonProblem](docs/RmcaCommonProblem.md)
 - [Section](docs/Section.md)
 - [SetBidModel](docs/SetBidModel.md)
 - [SetBidsModel](docs/SetBidsModel.md)
 - [SetBidsModelRequest](docs/SetBidsModelRequest.md)
 - [SetBidsModelResource](docs/SetBidsModelResource.md)
 - [StatusResponse](docs/StatusResponse.md)
 - [StatusResponseResource](docs/StatusResponseResource.md)
 - [StoreIdsUpdateModel202110Request](docs/StoreIdsUpdateModel202110Request.md)
 - [StoreTarget202110Request](docs/StoreTarget202110Request.md)
 - [StoreTarget202110Response](docs/StoreTarget202110Response.md)
 - [Template](docs/Template.md)
 - [TemplateListResponse](docs/TemplateListResponse.md)
 - [TemplateResponse](docs/TemplateResponse.md)
 - [TemplateVariable](docs/TemplateVariable.md)
 - [TemplateVariableValue](docs/TemplateVariableValue.md)
 - [TextVariableSpecification](docs/TextVariableSpecification.md)
 - [TextVariableValue](docs/TextVariableValue.md)
 - [UpdateBalanceModelV2](docs/UpdateBalanceModelV2.md)
 - [UpdateBalanceModelV2Request](docs/UpdateBalanceModelV2Request.md)
 - [ValueResourceCollectionInputOfRetailMediaSeller](docs/ValueResourceCollectionInputOfRetailMediaSeller.md)
 - [ValueResourceCollectionOutcomeOfRetailMediaSeller](docs/ValueResourceCollectionOutcomeOfRetailMediaSeller.md)
 - [ValueResourceInputOfCampaignBudgetOverrides](docs/ValueResourceInputOfCampaignBudgetOverrides.md)
 - [ValueResourceInputOfLineItemBudgetOverrides](docs/ValueResourceInputOfLineItemBudgetOverrides.md)
 - [ValueResourceInputOfRetailMediaBrandAccountCreation](docs/ValueResourceInputOfRetailMediaBrandAccountCreation.md)
 - [ValueResourceInputOfRetailMediaBrands](docs/ValueResourceInputOfRetailMediaBrands.md)
 - [ValueResourceInputOfRetailMediaSellerAccountCreation](docs/ValueResourceInputOfRetailMediaSellerAccountCreation.md)
 - [ValueResourceOfCampaignBudgetOverrides](docs/ValueResourceOfCampaignBudgetOverrides.md)
 - [ValueResourceOfLineItemBudgetOverrides](docs/ValueResourceOfLineItemBudgetOverrides.md)
 - [ValueResourceOfRetailMediaBrandAccountCreation](docs/ValueResourceOfRetailMediaBrandAccountCreation.md)
 - [ValueResourceOfRetailMediaBrands](docs/ValueResourceOfRetailMediaBrands.md)
 - [ValueResourceOfRetailMediaSeller](docs/ValueResourceOfRetailMediaSeller.md)
 - [ValueResourceOfRetailMediaSellerAccountCreation](docs/ValueResourceOfRetailMediaSellerAccountCreation.md)
 - [ValueResourceOutcomeOfCampaignBudgetOverrides](docs/ValueResourceOutcomeOfCampaignBudgetOverrides.md)
 - [ValueResourceOutcomeOfLineItemBudgetOverrides](docs/ValueResourceOutcomeOfLineItemBudgetOverrides.md)
 - [ValueResourceOutcomeOfRetailMediaBrands](docs/ValueResourceOutcomeOfRetailMediaBrands.md)
 - [ValueTypeResourceOfAddToBasketIdsUpdateModel202110](docs/ValueTypeResourceOfAddToBasketIdsUpdateModel202110.md)
 - [ValueTypeResourceOfAddToBasketTarget202110](docs/ValueTypeResourceOfAddToBasketTarget202110.md)
 - [ValueTypeResourceOfAudienceIdsUpdateModel202110](docs/ValueTypeResourceOfAudienceIdsUpdateModel202110.md)
 - [ValueTypeResourceOfAudienceTarget202110](docs/ValueTypeResourceOfAudienceTarget202110.md)
 - [ValueTypeResourceOfKeywordTarget202110](docs/ValueTypeResourceOfKeywordTarget202110.md)
 - [ValueTypeResourceOfStoreIdsUpdateModel202110](docs/ValueTypeResourceOfStoreIdsUpdateModel202110.md)
 - [ValueTypeResourceOfStoreTarget202110](docs/ValueTypeResourceOfStoreTarget202110.md)
 - [VideoVariableValue](docs/VideoVariableValue.md)


## Disclaimer

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.